<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="/css/style_ch3.css" />
    <title>Document</title>
    <link rel="icon" href="/img/mandalax.png" />
  </head>

  <body>
    <div class="FirstView">
      <h3 class="text-white">Disini Edit User History</h3>
      <hr />
      <div class="bg-white p-3">
        <form action="/userHistoryUpdate/<%= userHistoryUpdate.id %>" method="post">
          <div class="mb-3">
            <select
              class="form-select"
              name="user_game_id"
              aria-label="Default select example"
            >
              <option selected>Choose</option>
              <% userGame.forEach((user) => { %>
              <option
                value="<%= user.id %>"
                <%= userHistoryUpdate.user_game_id == user.id ? 'selected' : '' %>
                ><%= user.username %>
              </option>
              <% }) %>
            </select>
          </div>
          <div class="mb-3">
            <label for="game_name" class="form-label">Game Name</label>
            <input
              type="text"
              class="form-control"
              id="game_name"
              name="game_name"
              value="<%= userHistoryUpdate.game_name %>"
            />
          </div>
          <div class="mb-3">
            <label for="score" class="form-label">Score</label>
            <input
              type="number"
              class="form-control"
              id="score"
              name="score"
              value="<%= userHistoryUpdate.score %>"
            />
          </div>
          <div class="mb-3">
            <label for="duration" class="form-label">Duration</label>
            <input
              type="duration"
              class="form-control"
              id="duration"
              name="duration"
              value="<%= userHistoryUpdate.duration %>"
            />
          </div>
          <div class="mb-3">
            <button type="submit" class="btn btn-success">Update</button>
            <button type="submit" class="btn btn-warning">
              <a href="/userDetail/<%= userHistoryUpdate.user_game_id %>">Back</a>
            </button>
          </div>
        </form>
      </div>
    </div>

    <script src="/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
  </body>
</html>
